Bug 1014529 - Move post-install files to single directory
Move post-install files to single directory
Status: CLOSED CURRENTRELEASE
Product: JBoss Enterprise Application Platform 6
Classification: JBoss
Component: Installer (Show other bugs)
6.2.0
Unspecified Unspecified
unspecified Severity medium
: ER5
: EAP 6.2.0
Assigned To: Miles Tjandrawidjaja
Petr Kremensky
Russell Dickenson
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-10-02 05:44 EDT by Petr Kremensky
Modified: 2014-09-03 00:56 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-12-15 11:18:53 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Petr Kremensky 2013-10-02 05:44:05 EDT
Description of problem:
Installation target directory is polluted by postinstall logs at present. 
[pkremens@dhcp-4-200 ~/EAP-6.2.0]$ ll
total 32
-rw-rw-r--.  1 pkremens pkremens 1217 Oct  2 11:35 InstallSummary.html
drwxrwxr-x. 12 pkremens pkremens 4096 Oct  2 11:35 jboss-eap-6.2
-rw-rw-r--.  1 pkremens pkremens  292 Oct  2 11:35 postinstall-domain.log
-rw-rw-r--.  1 pkremens pkremens   59 Oct  2 11:36 postinstall-standalone-full-ha.log
-rw-rw-r--.  1 pkremens pkremens   59 Oct  2 11:36 postinstall-standalone-full.log
-rw-rw-r--.  1 pkremens pkremens   59 Oct  2 11:36 postinstall-standalone-ha.log
-rw-rw-r--.  1 pkremens pkremens   59 Oct  2 11:36 postinstall-standalone.log
drwxrwxr-x.  2 pkremens pkremens 4096 Oct  2 11:35 Uninstaller

We should consider moving all postinstall (and maybe also InstallSummary.html) files to single directory.

Version-Release number of selected component (if applicable):
EAP 6.2.0.ER3

Steps to Reproduce:
1. Install EAP
2. Go to installation target directory

Additional info:
This is more a suggestion than a real issue, if you disagree please close this as (won't fix/ not-a-bug).
Comment 1 Miles Tjandrawidjaja 2013-10-07 15:54:35 EDT
Logs now started in $targetdir/jboss-eap-6.2/postinstall-logs/

http://git.app.eng.bos.redhat.com/jbossas-installer.git/commit/?h=eap-6.2&id=acb6b136abe1ce610af89a3b47e3cba120b6cc91
Comment 2 Petr Kremensky 2013-10-08 05:56:22 EDT
Verified on EAP 6.2.0.ER5 installer.

Note You need to log in before you can comment on or make changes to this bug.